package com.sundot.airport.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;

/**
 * 工作文档对象 sys_working_document
 *
 * @author ruoyi
 * @date 2025-11-18
 */
public class SysWorkingDocument extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 文档ID
     */
    private Long documentId;

    /**
     * 文档标题
     */
    @Excel(name = "文档标题")
    private String documentTitle;

    /**
     * 文档最新文件路径
     */
    @Excel(name = "文档最新文件路径")
    private String documentFileName;

    /**
     * 文档最新文件名称
     */
    @Excel(name = "文档最新文件名称")
    private String documentNewFileName;

    /**
     * 文档原始文件名称
     */
    @Excel(name = "文档原始文件名称")
    private String documentOriginalFileName;

    /**
     * 文档地址
     */
    @Excel(name = "文档地址")
    private String documentUrl;

    /**
     * 文档状态（0正常 1关闭）
     */
    @Excel(name = "文档状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createByUserId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateByUserId;

    public void setDocumentId(Long documentId) {
        this.documentId = documentId;
    }

    public Long getDocumentId() {
        return documentId;
    }

    public void setDocumentTitle(String documentTitle) {
        this.documentTitle = documentTitle;
    }

    public String getDocumentTitle() {
        return documentTitle;
    }

    public void setDocumentFileName(String documentFileName) {
        this.documentFileName = documentFileName;
    }

    public String getDocumentFileName() {
        return documentFileName;
    }

    public void setDocumentNewFileName(String documentNewFileName) {
        this.documentNewFileName = documentNewFileName;
    }

    public String getDocumentNewFileName() {
        return documentNewFileName;
    }

    public void setDocumentOriginalFileName(String documentOriginalFileName) {
        this.documentOriginalFileName = documentOriginalFileName;
    }

    public String getDocumentOriginalFileName() {
        return documentOriginalFileName;
    }

    public void setDocumentUrl(String documentUrl) {
        this.documentUrl = documentUrl;
    }

    public String getDocumentUrl() {
        return documentUrl;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setCreateByUserId(Long createByUserId) {
        this.createByUserId = createByUserId;
    }

    public Long getCreateByUserId() {
        return createByUserId;
    }

    public void setUpdateByUserId(Long updateByUserId) {
        this.updateByUserId = updateByUserId;
    }

    public Long getUpdateByUserId() {
        return updateByUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("documentId", getDocumentId())
                .append("documentTitle", getDocumentTitle())
                .append("documentFileName", getDocumentFileName())
                .append("documentNewFileName", getDocumentNewFileName())
                .append("documentOriginalFileName", getDocumentOriginalFileName())
                .append("documentUrl", getDocumentUrl())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("createByUserId", getCreateByUserId())
                .append("updateByUserId", getUpdateByUserId())
                .toString();
    }
}
